      SUBROUTINE USR0

      USE USR
      USE discretelement, only:DES_POS_NEW,DES_USR_VAR,DES_RADIUS

      IMPLICIT NONE

!-----------------------------------------------
!
!  Include files defining common blocks here
!
!
!  Define local variables here
      integer :: allocstatus

! Initial particles were read from particle_input.dat.
! Particles below y=0.1 represent the screw.
! They are flagged with a value of DES_USR_VAR = 1.0
! Regular particles are set a value of DES_USR_VAR = 0.0
! The screw particles will be assign a velocity in cfnewvalues.f
      wposz_ini=0.015
      DES_USR_VAR(1,:) = 0.0D0
      veff=1D6 !vertical effective stress on the sample
      WHERE(DES_POS_NEW(:,3)>0.015) DES_USR_VAR(1,:) = 1.0
      !WHERE((DES_POS_NEW(:,2)>0.048).and.(DES_RADIUS(:)>0.001)) DES_USR_VAR(1,:) = 2.0
      fnum=1
      RETURN
      END SUBROUTINE USR0
